From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/apparmor/
Date: Thu, 1 Jun 2023 05:20:22 +0000 (UTC) [thread overview]
Message-ID: <1685596168.e486e11adfbaca49a68729a8e31087cbd1291f27.sam@gentoo> (raw)
commit: e486e11adfbaca49a68729a8e31087cbd1291f27
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 1 05:09:28 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 1 05:09:28 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e486e11a
sys-apps/apparmor: add 3.0.10
Bug: https://bugs.gentoo.org/876965
Bug: https://bugs.gentoo.org/900867
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/apparmor/Manifest | 1 +
sys-apps/apparmor/apparmor-3.0.10.ebuild | 87 ++++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/sys-apps/apparmor/Manifest b/sys-apps/apparmor/Manifest
index e8a4e202d60a..7775e1966a07 100644
--- a/sys-apps/apparmor/Manifest
+++ b/sys-apps/apparmor/Manifest
@@ -1,3 +1,4 @@
+DIST apparmor-3.0.10.tar.gz 7967601 BLAKE2B 8fa094dac6140949cecad8fdf056c6e119291d9490404b0c7379e14d85eff8d6424ec5099e04184424c271b83bb5893389e4023a2946b8296268559f13d20c20 SHA512 94866c3151e6776b9efbbf3852a48e19908ddbc1f3156df1e1bf0b8a79be49b4eba96ce3725a3cf10af3affa00f9a045bbab06ffd3d668c80039eb369b3f6762
DIST apparmor-3.0.3.tar.gz 7790012 BLAKE2B aada9c32c2cde4a110cbd1d626ec00b08e29e76182185752e5c23e2ec0c2668a732ffdf1eb1660bd8bc294188ccf0da42b4282939f5969a6aed39084be00769c SHA512 bbf26377e60da60dab56473ee5af15aa0f3fdf2f2a61dbfcdeba12a925afda3bc6a0f6cc31e07927400425b8c3b3649833f448d8674044c7274ef06923ab48b5
DIST apparmor-3.0.4.tar.gz 7796852 BLAKE2B 831ea65ed0972ad8a6e335e438e7b0a8a2a3977dc4360ad1923d48cc7b21b1941ec011d3894d8bdc98934b953a3f1d89a859fc27ec2530f5dd9b3cc850fe66f0 SHA512 1edd800771f46fab9bc5274842e64482b7fd4a5ba4de9855d621baf1d08c8236bfa7752dd9ab3dee095f8e0798129241a9aebf68ed1c994ae5597086a4a1a8ca
DIST apparmor-3.0.8.tar.gz 7946880 BLAKE2B bbff6c0223b9f20cb53d96cb2e41aa4b7eee51b35a2c010cdd394f85517e87c9a34fb7182f600ba212e99baf4ee1a16a5bfd7e92ec6a9fb9ce6076a216cd89e1 SHA512 539e955b24c6f4f62ef0d7885fc341e4f6bc69ee840981426fb6a40f8f8e5c945f774246cb0efe1a76e778b8047d4a7fe315ab062d2dbe17e524b8527d5a8087
diff --git a/sys-apps/apparmor/apparmor-3.0.10.ebuild b/sys-apps/apparmor/apparmor-3.0.10.ebuild
new file mode 100644
index 000000000000..3c6676d4ab63
--- /dev/null
+++ b/sys-apps/apparmor/apparmor-3.0.10.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd toolchain-funcs
+
+MY_PV="$(ver_cut 1-2)"
+
+DESCRIPTION="Userspace utils and init scripts for the AppArmor application security system"
+HOMEPAGE="https://gitlab.com/apparmor/apparmor/wikis/home"
+SRC_URI="https://launchpad.net/${PN}/${MY_PV}/${PV}/+download/${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+IUSE="doc"
+
+# Was restricted previously b/c needs apparmor support in kernel
+# TODO: add check to ebuild
+#RESTRICT="test" # bug 675854
+
+RDEPEND="~sys-libs/libapparmor-${PV}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/perl
+ sys-apps/which
+ sys-devel/bison
+ sys-devel/gettext
+ sys-devel/flex
+ doc? ( dev-tex/latex2html )
+"
+
+S=${WORKDIR}/apparmor-${PV}/parser
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.5-makefile.patch"
+ "${FILESDIR}/${PN}-2.11.1-dynamic-link.patch"
+)
+
+src_prepare() {
+ default
+
+ # remove warning about missing file that controls features
+ # we don't currently support
+ sed -e "/installation problem/ctrue" -i rc.apparmor.functions || die
+
+ # bug 634782
+ sed -e "s/cpp/$(tc-getCPP) -/" \
+ -i ../common/list_capabilities.sh \
+ -i ../common/list_af_names.sh || die
+}
+
+src_compile() {
+ emake \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ CPP="$(tc-getCPP) -" \
+ CXX="$(tc-getCXX)" \
+ USE_SYSTEM=1 \
+ arch manpages
+ use doc && emake pdf
+}
+
+src_test() {
+ emake CXX="$(tc-getCXX)" USE_SYSTEM=1 check
+}
+
+src_install() {
+ emake \
+ CPP="$(tc-getCPP) -" \
+ DESTDIR="${D}" \
+ DISTRO="unknown" \
+ USE_SYSTEM=1 \
+ install
+
+ dodir /etc/apparmor.d/disable
+
+ newinitd "${FILESDIR}/${PN}-init-1" ${PN}
+ systemd_newunit "${FILESDIR}/apparmor.service" apparmor.service
+
+ use doc && dodoc techdoc.pdf
+
+ exeinto /usr/share/apparmor
+ doexe "${FILESDIR}/apparmor_load.sh"
+ doexe "${FILESDIR}/apparmor_unload.sh"
+}
next reply other threads:[~2023-06-01 5:20 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-01 5:20 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-03 8:06 [gentoo-commits] repo/gentoo:master commit in: sys-apps/apparmor/ Sam James
2024-03-15 2:45 Sam James
2024-01-08 12:28 Sam James
2024-01-03 22:30 Sam James
2023-11-05 8:46 Arthur Zamarin
2023-11-05 8:46 Arthur Zamarin
2023-07-15 15:07 Arthur Zamarin
2023-06-26 19:50 Sam James
2023-06-01 21:07 Sam James
2023-06-01 16:53 Arthur Zamarin
2023-06-01 5:20 Sam James
2023-06-01 5:20 Sam James
2022-12-20 20:54 Arthur Zamarin
2022-12-20 20:39 Sam James
2022-10-28 7:01 Sam James
2022-10-20 23:34 Sam James
2022-10-18 16:32 Jakov Smolić
2022-09-02 4:40 Arthur Zamarin
2022-06-24 8:41 Michael Palimaka
2022-06-17 6:54 Agostino Sarubbo
2022-06-17 1:10 Sam James
2022-03-05 0:05 Sam James
2021-11-12 2:09 Sam James
2021-06-04 7:22 Michael Palimaka
2021-02-24 16:27 Sam James
2020-12-08 7:04 Michael Palimaka
2020-10-11 4:16 Michael Palimaka
2020-05-07 13:41 Michael Palimaka
2020-03-19 8:20 Michael Palimaka
2019-08-18 8:13 Michael Palimaka
2019-08-04 12:27 Michael Palimaka
2019-03-28 13:17 Michael Palimaka
2019-03-25 11:38 Michael Palimaka
2019-03-07 11:27 Michael Palimaka
2018-11-09 8:57 Michael Palimaka
2018-01-01 2:59 Michael Palimaka
2018-01-01 2:59 Michael Palimaka
2017-10-31 12:22 Michael Palimaka
2017-08-05 7:59 Michael Palimaka
2017-06-03 12:53 Michael Palimaka
2017-01-11 16:24 Michael Palimaka
2016-07-27 15:50 Michael Palimaka
2016-05-25 17:50 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1685596168.e486e11adfbaca49a68729a8e31087cbd1291f27.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox